Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VMultiFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VMultiFragmentation.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VMultiFragmentation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VMultiFragmentation.hh,v 1.3 2006/06/29 20:24:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFEnsemble.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFEnsemble.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFEnsemble.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStatMFEnsemble.hh,v 1.3 2006/06/29 20:24:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFMacroCluster.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFMacroCluster.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFMacroCluster.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStatMFMacroCluster.hh,v 1.5 2006/08/19 19:55:09 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4Solver.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4Solver.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4Solver.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Solver.cc,v 1.4 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMF.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMF.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMF.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMF.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFChannel.cc,v 1.10 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFFragment.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFFragment.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFFragment.cc,v 1.7 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroBiNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroBiNucleon.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroBiNucleon.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroBiNucleon.cc,v 1.7 2008/10/24 22:56:42 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroCanonical.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroCanonical.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroCanonical.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroCanonical.cc,v 1.8 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroChemicalPotential.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroChemicalPotential.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroChemicalPotential.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroChemicalPotential.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiNucleon.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiNucleon.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroMultiNucleon.cc,v 1.7 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiplicity.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiplicity.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiplicity.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroMultiplicity.cc,v 1.7 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroNucleon.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroNucleon.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroNucleon.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTemperature.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTemperature.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTemperature.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroTemperature.cc,v 1.7 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTetraNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTetraNucleon.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTetraNucleon.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroTetraNucleon.cc,v 1.7 2008/10/24 22:57:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTriNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTriNucleon.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTriNucleon.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroTriNucleon.cc,v 1.7 2008/10/24 22:57:24 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroCanonical.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroCanonical.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroCanonical.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroCanonical.cc,v 1.7 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroManager.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroManager.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroManager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroManager.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroPartition.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroPartition.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroPartition.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroPartition.cc,v 1.8 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFParameters.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFParameters.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFParameters.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFParameters.cc,v 1.5 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VMultiFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VMultiFragmentation.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VMultiFragmentation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VMultiFragmentation.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFEnsemble.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFEnsemble.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFEnsemble.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStatMFEnsemble.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFMacroCluster.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFMacroCluster.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFMacroCluster.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStatMFMacroCluster.cc,v 1.5 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NeutronRadCapture.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NeutronRadCapture.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NeutronRadCapture.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronRadCapture.hh,v 1.1 2009/08/31 13:52:42 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/src/G4NeutronRadCapture.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/src/G4NeutronRadCapture.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/src/G4NeutronRadCapture.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4NeutronRadCapture.cc,v 1.3 2009/09/15 19:05:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4NeutronRadCapture.cc,v 1.4 2009/12/16 17:51:11 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
@@ -97,5 +97,5 @@
   if(cost > 1.0) {cost = 1.0;}
   else if(cost < -1.0) {cost = -1.0;}
-  G4double sint = sqrt((1. - cost)*(1.0 + cost));
+  G4double sint = std::sqrt((1. - cost)*(1.0 + cost));
   G4double phi  = G4UniformRand()*CLHEP::twopi;
   G4LorentzVector lv2(e1*sint*std::cos(phi),e1*sint*std::sin(phi),e1*cost,e1);   
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4AlphaCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4AlphaCoulombBarrier.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4AlphaCoulombBarrier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AlphaCoulombBarrier.hh,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronGilbertPairingCorrections.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronGilbertPairingCorrections.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronGilbertPairingCorrections.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CameronGilbertPairingCorrections.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronGilbertShellCorrections.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronGilbertShellCorrections.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronGilbertShellCorrections.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CameronGilbertShellCorrections.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronShellPlusPairingCorrections.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronShellPlusPairingCorrections.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronShellPlusPairingCorrections.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CameronShellPlusPairingCorrections.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronTruranHilfPairingCorrections.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronTruranHilfPairingCorrections.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronTruranHilfPairingCorrections.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CameronTruranHilfPairingCorrections.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronTruranHilfShellCorrections.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronTruranHilfShellCorrections.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4CameronTruranHilfShellCorrections.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CameronTruranHilfShellCorrections.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4ConstantLevelDensityParameter.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4ConstantLevelDensityParameter.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4ConstantLevelDensityParameter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ConstantLevelDensityParameter.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations (photon evaporation)
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4CookPairingCorrections.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4CookPairingCorrections.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4CookPairingCorrections.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CookPairingCorrections.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4CookShellCorrections.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4CookShellCorrections.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4CookShellCorrections.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CookShellCorrections.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4CoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4CoulombBarrier.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4CoulombBarrier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CoulombBarrier.hh,v 1.6 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4DeuteronCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4DeuteronCoulombBarrier.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4DeuteronCoulombBarrier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DeuteronCoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4EvaporationLevelDensityParameter.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4EvaporationLevelDensityParameter.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4EvaporationLevelDensityParameter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EvaporationLevelDensityParameter.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4He3CoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4He3CoulombBarrier.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4He3CoulombBarrier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4He3CoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4NeutronCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4NeutronCoulombBarrier.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4NeutronCoulombBarrier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronCoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4PairingCorrection.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4PairingCorrection.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4PairingCorrection.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PairingCorrection.hh,v 1.6 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4ProtonCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4ProtonCoulombBarrier.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4ProtonCoulombBarrier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProtonCoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4ShellCorrection.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4ShellCorrection.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4ShellCorrection.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ShellCorrection.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4TritonCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4TritonCoulombBarrier.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4TritonCoulombBarrier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TritonCoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4VCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4VCoulombBarrier.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4VCoulombBarrier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4VEmissionProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4VEmissionProbability.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4VEmissionProbability.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VEmissionProbability.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4VLevelDensityParameter.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4VLevelDensityParameter.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4VLevelDensityParameter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VLevelDensityParameter.hh,v 1.6 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4AlphaCoulombBarrier.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4AlphaCoulombBarrier.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4AlphaCoulombBarrier.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AlphaCoulombBarrier.cc,v 1.5 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertPairingCorrections.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertPairingCorrections.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertPairingCorrections.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CameronGilbertPairingCorrections.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4CameronGilbertPairingCorrections.cc,v 1.6 2009/11/30 10:33:33 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -75,9 +75,10 @@
 
 G4CameronGilbertPairingCorrections::~G4CameronGilbertPairingCorrections()
-{ delete theInstance; }
+{;}
 
 G4CameronGilbertPairingCorrections* G4CameronGilbertPairingCorrections::GetInstance()
 {
-  if (!theInstance) theInstance = new G4CameronGilbertPairingCorrections();
+  static G4CameronGilbertPairingCorrections theCorrections;
+  if (!theInstance)  { theInstance = &theCorrections; }
   return theInstance;
 }
